#ifndef hy_exprh
#define hy_exprh

#include <math.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

char *cons(char *, char *);
char * make_integer(char *);
char * make_word(char *);
char * make_string(char *);
char * make_real(char *, char *);

void add_expr(char *);
void process_command(char *);
void syntax_error();

#ifdef __cplusplus
}
#endif

#endif
